Subject: Re: Git in GSoC 2025

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 7 Feb 2025 11:55:41 +0100

On Fri, Feb 07, 2025 at 01:02:25PM +0530, Kaartic Sivaraam wrote:
> Consolidate ref-related functionality into git-refs
> 
> - Mentor: Patrick
> - Co-mentor: Jialuo / Christian
> 
> Refactoring in order to reduce Git’s global state
> 
> - Mentor: Christian
> - Co-mentor: Karthik / Jialuo
> 
> Machine-Readable Repository Information Query Tool
> 
> - Mentor: Karthik
> - Co-mentor: Patrick
> 
> Implement support for reftables in “dumb” HTTP transport
> 
> - Mentor: Patrick
> - Co-mentor: Karthik
> 
> -- >8 --
> 
> Let me know if this sounds fine to all of you. So, I suppose we could
> pick a maximum of 3 projects but we cannot pick both "Consolidate
> ref-related functionality into git-refs" and "Implement support
> for reftables in “dumb” HTTP transport" at the same time as Patrick
> only prefers to be mentor in one project.

This all looks fine to me.

One thought: From my point of view I'd strongly favor extending
git-refs(1) over reftable support in the dumb HTTP transport. So if I
had two applications, one for each topic, I'd lean towards applications
for the former topic. That might easily cause unfairness in case
students aren't aware of that.

So unless somebody else wants to be main-mentor in that project, I think
we should either drop the HTTP transport tropic, or communicate our
priorities clearly.

> Based on this, I'll tweak the ideas page to mention that we could
> pick a max of 3 candidates.
> 
> BTW, I've just submitted Git's application for GSoC. We should know
> by February 26 about the selection result.

Great! Thanks again for handling all of this.

Patrick